# Crow: crow::SessionMiddleware< Store >::context Struct Reference

Loading...
Searching...
No Matches
crow::SessionMiddleware< Store >::context Struct Reference

## Public Member Functions

std::recursive_mutex & | mutex ()
bool | exists ()
template<typename F >
auto | get (const std::string &key, const F &fallback=F()) -> decltype(std::declval< session::multi_value >().get< F >(std::declval< F >()))
template<typename T >
void | set (const std::string &key, T value)
bool | contains (const std::string &key)
template<typename Func >
void | apply (const std::string &key, const Func &f)
void | remove (const std::string &key)
std::string | string (const std::string &key)
std::vector< std::string > | keys ()
void | refresh_expiration ()

## Friends

struct | SessionMiddleware

The documentation for this struct was generated from the following file:

- include/crow/middlewares/session.h